Deployments.ai Docs
Brains

Create a Brain

POST /v1/brains · SDK createBrain · CLI deployments brain create

POST
/v1/brains

Requires brains:create.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
kind*string
Value in"company""member-private"
name*string
Lengthlength <= 200
sensitivity?string
Value in"confidential""internal""public""restricted"
slug*string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length1 <= length <= 80

Response Body

BrainResponse

application/json
  1. response
createdAt*string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
kind*string
Value in"company""member-private"
name*string
Lengthlength <= 200
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
ownerPrincipalId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
ownershipGeneration*integer
Range0 <= value
schemaVersion*integer
Range0 <= value
sensitivity*string
Value in"confidential""internal""public""restricted"
slug*string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length1 <= length <= 80
status*string
Value in"active""archived""erasing"
updatedAt*string
version*integer
Range0 <= value
curl -X POST "https://example.com/v1/brains" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "kind": "company",    "name": "string",    "slug": "string"  }'
{  "createdAt": "string",  "id": "string",  "kind": "company",  "name": "string",  "organizationId": "string",  "ownerPrincipalId": "string",  "ownershipGeneration": 0,  "schemaVersion": 0,  "sensitivity": "confidential",  "slug": "string",  "status": "active",  "updatedAt": "string",  "version": 0}